Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Fix the version of the flask openid extension to avoid import problems #114

Closed
wants to merge 1 commit into from

1 participant

@jasongrout
Owner

Version 1.1 of the flask openid extension changes the import from import flaskext.openid to import flask_openid. These changes aren't even in the flask openid git repository, so I'm not sure what is going on. I posted to the flask mailing list about this as of 2012-11-21.

@jasongrout
Owner

Superseded by gh-115

@jasongrout jasongrout closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
This page is out of date. Refresh to see the latest.
Showing with 2 additions and 2 deletions.
  1. +1 −1  setup.py
  2. +1 −1  util/fetch_deps.py
View
2  setup.py
@@ -31,7 +31,7 @@ def all_files(dir, prefix):
install_requires = [ 'twisted>=11.0.0'
, 'flask'
- , 'flask-openid'
+ , 'flask-openid==1.0.1'
, 'flask-autoindex'
, 'babel'
, 'flask-babel'
View
2  util/fetch_deps.py
@@ -19,7 +19,7 @@
, 'Flask-Silk>=0.1.1'
, 'Flask-AutoIndex>=0.4.0'
, 'Flask-Babel>=0.8'
- , 'Flask-OpenID>=1.0.1'
+ , 'Flask-OpenID==1.0.1' # version 1.1 changes the import interface from 'import flaskext.openid' to 'import flask_openid'
, 'webassets>=0.7.1'
]
Something went wrong with that request. Please try again.